%define oname	mediainfo

%define major	0
%define libname	%mklibname %{oname} %{major}
%define devname %mklibname %{oname} -d

Name:		libmediainfo
Version:	24.06
Release:	%mkrel 1
Summary:	Supplies technical and tag information about a video or audio file
Group:		System/Libraries
License:	BSD
URL:		https://mediaarea.net/
Source0:	https://mediaarea.net/download/source/libmediainfo/%{version}/libmediainfo_%{version}.tar.xz
BuildRequires:	dos2unix
BuildRequires:	doxygen
BuildRequires:	cmake
BuildRequires:	pkgconfig(libzen) >= 0.4.38
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libmms)
BuildRequires:  pkgconfig(tinyxml2)

%description
MediaInfo supplies technical and tag information about a video or
audio file.

%package -n %{libname}
Summary:	Supplies technical and tag information about a video or audio file
Group:		System/Libraries
Provides:	libmediainfo

%description -n %{libname}
MediaInfo supplies technical and tag information about a video or
audio file.

What information can I get from MediaInfo?
* General: title, author, director, album, track number, date, duration...
* Video: codec, aspect, fps, bitrate...
* Audio: codec, sample rate, channels, language, bitrate...
* Text: language of subtitle
* Chapters: number of chapters, list of chapters

AV1, DivX, XviD, H263, H.263, H264, x264, ASP, AVC, iTunes, MPEG-1,
MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V, QuickTime,
RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2, MSMPEG4v3,
VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

What format (container) does MediaInfo support?
* Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1,
  MPEG-2, MPEG-4, DVD (VOB) (Codecs: DivX, XviD, MSMPEG4, ASP,
  H.264, AVC...)
* Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
* Subtitles: SRT, SSA, ASS, SAMI

This package contains the shared library for MediaInfo.

%package -n %{devname}
Summary:	Include files and mandatory libraries for development
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	mediainfo-devel = %{version}-%{release}

%description -n %{devname}
Include files and mandatory libraries for development.

%prep
%setup -q -n MediaInfoLib

# Rename files
cp Release/ReadMe_DLL_Linux.txt ReadMe.txt
mv History_DLL.txt History.txt
sed -i 's/.$//' *.txt Source/Example/*

find . -type f -exec chmod 644 {} ';'

rm -rf Project/MSCS20*

rm -rf Source/ThirdParty/tinyxml2


%build
pushd Project/CMake
	%cmake
	%cmake_build
popd

# generate docs
pushd Source/Doc
        doxygen -u 2> /dev/null
        doxygen Doxyfile
popd

%install
pushd Project/CMake
	%cmake_install
popd

# MediaInfoDLL headers
install -dm 755 %{buildroot}%{_includedir}/MediaInfo
install -m 644 Source/MediaInfo/*.h %{buildroot}%{_includedir}/MediaInfo
install -dm 755 %{buildroot}%{_includedir}/MediaInfoDLL
install -m 644 Source/MediaInfoDLL/*.h %{buildroot}%{_includedir}/MediaInfoDLL
install -m 644 Source/MediaInfoDLL/MediaInfoDLL.cs %{buildroot}%{_includedir}/MediaInfoDLL
install -m 644 Source/MediaInfoDLL/MediaInfoDLL.*.java %{buildroot}%{_includedir}/MediaInfoDLL
install -m 644 Source/MediaInfoDLL/MediaInfoDLL*.py %{buildroot}%{_includedir}/MediaInfoDLL

#we don't want these
find %{buildroot} -name '*.la' -delete


%files -n %{libname}
%doc History.txt License.html ReadMe.txt
%{_libdir}/libmediainfo.so.%{major}{,.*}

%files -n %{devname}
%doc Changes.txt Doc Source/Example
%{_includedir}/MediaInfo/
%{_includedir}/MediaInfoDLL/
%{_libdir}/libmediainfo.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/mediainfolib/


%changelog
* Mon Jul 01 2024 daviddavid <daviddavid> 24.06-1.mga10
+ Revision: 2078608
- new version: 24.06

* Mon May 06 2024 daviddavid <daviddavid> 24.04-1.mga10
+ Revision: 2062525
- new version: 24.04

* Mon Apr 01 2024 daviddavid <daviddavid> 24.03-1.mga10
+ Revision: 2053597
- new version: 24.03

* Wed Feb 14 2024 daviddavid <daviddavid> 24.01-1.mga10
+ Revision: 2041161
- new version: 24.01

* Tue Feb 13 2024 daviddavid <daviddavid> 23.11-2.mga10
+ Revision: 2040958
- rebuild for new tinyxml2 10.0.0

* Mon Jan 01 2024 daviddavid <daviddavid> 23.11-1.mga10
+ Revision: 2024959
- new version: 23.11

* Wed Sep 20 2023 daviddavid <daviddavid> 23.09-1.mga10
+ Revision: 1988752
- new version: 23.09

* Mon Sep 04 2023 daviddavid <daviddavid> 23.07-1.mga10
+ Revision: 1984084
- new version: 23.07

* Fri Dec 23 2022 daviddavid <daviddavid> 22.12-1.mga9
+ Revision: 1926086
- new version: 22.12

* Wed Nov 23 2022 daviddavid <daviddavid> 22.09-1.mga9
+ Revision: 1910607
- new version: 22.09

* Thu Oct 06 2022 neoclust <neoclust> 22.06-1.mga9
+ Revision: 1895215
- New version 22.06

* Thu Mar 24 2022 umeabot <umeabot> 21.09-2.mga9
+ Revision: 1824608
- Mageia 9 Mass Rebuild

* Wed Jan 26 2022 mrambo3501 <mrambo3501> 21.09-1.mga9
+ Revision: 1769899
- version 21.09

* Thu Apr 01 2021 daviddavid <daviddavid> 21.03-1.mga9
+ Revision: 1712289
- new version: 21.03

* Sun Nov 08 2020 daviddavid <daviddavid> 20.09-1.mga8
+ Revision: 1643658
- new version: 20.09

* Thu Aug 13 2020 daviddavid <daviddavid> 20.08-1.mga8
+ Revision: 1613906
- new version: 20.08

* Mon Apr 06 2020 zezinho <zezinho> 20.03-1.mga8
+ Revision: 1565185
- new version

* Sun Feb 16 2020 daviddavid <daviddavid> 19.09-2.mga8
+ Revision: 1533704
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 zezinho <zezinho> 19.09-1.mga8
+ Revision: 1444759
- new version: 19.09

* Wed Jul 17 2019 daviddavid <daviddavid> 19.07-1.mga8
+ Revision: 1422135
- new version: 19.07

* Fri Jul 12 2019 daviddavid <daviddavid> 19.04-1.mga8
+ Revision: 1420547
- new version: 19.04

* Mon Feb 04 2019 zezinho <zezinho> 18.12-1.mga7
+ Revision: 1363223
- new version 18.12

* Sun Oct 28 2018 zezinho <zezinho> 18.08.1-1.mga7
+ Revision: 1326410
- new version 18.08.1 - switch to cmake

* Sun Sep 23 2018 umeabot <umeabot> 17.10-3.mga7
+ Revision: 1298987
- Mageia 7 Mass Rebuild

* Tue May 15 2018 akien <akien> 17.10-2.mga7
+ Revision: 1229731
- Rebuild for tinyxml 6.2.0

* Wed Dec 06 2017 wally <wally> 17.10-1.mga7
+ Revision: 1181486
- new version 17.10

* Sun Oct 15 2017 wally <wally> 0.7.99-1.mga7
+ Revision: 1172167
- new version 0.7.99

* Tue Aug 08 2017 daviddavid <daviddavid> 0.7.95-2.mga7
+ Revision: 1138889
- rebuild for new tinyxml2 5.0.1
+ zezinho <zezinho>
- new version

* Tue May 10 2016 tv <tv> 0.7.85-1.mga6
+ Revision: 1012012
- new release

* Mon Apr 11 2016 tv <tv> 0.7.84-1.mga6
+ Revision: 1000311
- new release

* Thu Dec 31 2015 wally <wally> 0.7.80-1.mga6
+ Revision: 917154
- new version 0.7.80

* Wed Aug 26 2015 daviddavid <daviddavid> 0.7.76-2.mga6
+ Revision: 869539
- rebuild for new gcc 5.2.1

* Thu Aug 13 2015 wally <wally> 0.7.76-1.mga6
+ Revision: 864478
- new version 0.7.76
- drop upstream applied patches

* Thu Jun 25 2015 wally <wally> 0.7.74-1.mga6
+ Revision: 843411
- new version 0.7.74
- build with system tinyxml2

* Wed Oct 15 2014 umeabot <umeabot> 0.7.70-4.mga5
+ Revision: 739238
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7.70-3.mga5
+ Revision: 726746
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7.70-2.mga5
+ Revision: 681598
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 wally <wally> 0.7.70-1.mga5
+ Revision: 672511
- new version 0.7.70
- rediff pkgconfig patch

* Sun May 11 2014 wally <wally> 0.7.69-1.mga5
+ Revision: 621942
- new version 0.7.69

* Sat Apr 26 2014 wally <wally> 0.7.68-1.mga5
+ Revision: 618224
- new version 0.7.68

* Wed Feb 05 2014 wally <wally> 0.7.67-1.mga5
+ Revision: 583439
- new version 0.7.67
- sync patches with Debian

* Sat Oct 19 2013 umeabot <umeabot> 0.7.64-2.mga4
+ Revision: 529316
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 wally <wally> 0.7.64-1.mga4
+ Revision: 451454
- new version 0.7.64
- update URL

* Mon May 27 2013 wally <wally> 0.7.63-1.mga4
+ Revision: 428922
- new version 0.7.63
- switched to BSD-2-Clause license

* Mon May 27 2013 wally <wally> 0.7.62-1.mga4
+ Revision: 428779
- new version 0.7.62
- clean .spec a bit

* Sat Feb 16 2013 dlucio <dlucio> 0.7.61-3.mga3
+ Revision: 398738
- libmediainfo provides

* Sat Jan 12 2013 umeabot <umeabot> 0.7.61-2.mga3
+ Revision: 357741
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 fwang <fwang> 0.7.61-1.mga3
+ Revision: 315795
- new version 0.7.61

* Mon Sep 03 2012 wally <wally> 0.7.60-1.mga3
+ Revision: 287647
- new version 0.7.60

* Sat Aug 11 2012 wally <wally> 0.7.59-1.mga3
+ Revision: 280536
- new version 0.7.59

* Sat Jun 02 2012 wally <wally> 0.7.58-1.mga3
+ Revision: 253437
- new version 0.7.58

* Tue May 29 2012 luigiwalser <luigiwalser> 0.7.57-1.mga3
+ Revision: 248811
- 0.7.57
- remove patch1 (upstreamed)
- rediff patch2

* Wed Feb 01 2012 wally <wally> 0.7.53-1.mga2
+ Revision: 203957
- new version 0.7.53
- add patches from debian

* Sat Dec 24 2011 wally <wally> 0.7.52-1.mga2
+ Revision: 187189
- new version 0.7.52

* Fri Nov 11 2011 wally <wally> 0.7.51-1.mga2
+ Revision: 166742
- new version 0.7.51

* Tue Sep 27 2011 wally <wally> 0.7.50-1.mga2
+ Revision: 149624
- new version 0.7.50
- new version 0.7.48
- drop P0

* Sun Jul 17 2011 wally <wally> 0.7.47-1.mga2
+ Revision: 125493
- new version 0.7.47

* Wed Jul 06 2011 wally <wally> 0.7.46-1.mga2
+ Revision: 119288
- new version 0.7.45
- add patch from Gentoo to fix build with libmms

* Sun Jun 19 2011 wally <wally> 0.7.45-1.mga2
+ Revision: 109954
- imported package libmediainfo


* Sat Jun 18 2011 Jani Välimaa <wally@mandriva.org> 0.7.45-1mdv2011.0
+ Revision: 685925
- new version 0.7.45

* Tue May 03 2011 Jani Välimaa <wally@mandriva.org> 0.7.44-1
+ Revision: 664455
- import libmediainfo

